Package org.silverpeas.components.gallery.notification

## Class AlbumMediaEventNotifier

- java.lang.Object
- - org.silverpeas.core.notification.system.CDIResourceEventNotifier<AlbumMedia,​AlbumMediaEvent>
  - - org.silverpeas.components.gallery.notification.AlbumMediaEventNotifier

- All Implemented Interfaces:
    `org.silverpeas.core.notification.system.ResourceEventNotifier<AlbumMedia,​AlbumMediaEvent>`

      @Bean
      public class AlbumMediaEventNotifier
      extends org.silverpeas.core.notification.system.CDIResourceEventNotifier<AlbumMedia,​AlbumMediaEvent>

  A notifier of lifecycle events of `AlbumMedia` instances.
  Author:
    silveryocha

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AlbumMediaEventNotifier()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected AlbumMediaEvent` | `createResourceEventFrom​(org.silverpeas.core.notification.system.ResourceEvent.Type type, AlbumMedia... resource)` |
    `static AlbumMediaEventNotifier` | `get()` |

    - ### Methods inherited from class org.silverpeas.core.notification.system.CDIResourceEventNotifier

      `notify, notifyEventOn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlbumMediaEventNotifier

          public AlbumMediaEventNotifier()

  - ### Method Detail

    - #### get

          public static AlbumMediaEventNotifier get()

    - #### createResourceEventFrom

          protected AlbumMediaEvent createResourceEventFrom​(org.silverpeas.core.notification.system.ResourceEvent.Type type,
                                                            AlbumMedia... resource)

      Specified by:
        `createResourceEventFrom` in class `org.silverpeas.core.notification.system.CDIResourceEventNotifier<AlbumMedia,​AlbumMediaEvent>`